package com.ag.secp.platform.microkernel;

import com.ag.secp.platform.spring.SpringContextHolder;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.Map;


/**
 * 通用模块动态加载类
 */
public class CommonbusinessProcess {


    /**
     * 通用模块转向类
     */
    public static  void doProcess(HttpServletRequest request, HttpServletResponse response) {
        MoudleMangerProcess moudleMangerProcess = (MoudleMangerProcess) SpringContextHolder.getBean("moudleMangerProcess");
        Map dataVar = new HashMap();
        dataVar.put("actionname","hello name");
        dataVar.put("actionmethod","hello method");
        dataVar.put("request",request);
       // moudleMangerProcess.doActionbusiness(dataVar);

    }
}
